<?php
namespace User\DataBin;



/**
 * Manage profile data.
 * @author andre.fourie
 */
class Registration extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Profile',
			'DatasetName' => 'stock',
			'Entity'      => '\User\Entity\Profile',
			'References'  => array(
					'company'       => '\Company\Entity\Company',
					'group'         => '\Company\Entity\Group',
					'groupDivision' => '\Company\Entity\GroupDivision',
					'region'        => '\Location\Entity\Region',
					'permissions'   => '\User\Entity\Permissions'
			),
			'Dependants'  => array(
					'sessions' => '\User\Entity\Session'
			)
	);
	/**
	 * @var array
	 */
	protected $metaRegisterFull = array(
			'Type'          => 'Session',
			'Namespace'     => 'Registration',
			'Contract'      => 'Recurring',
			'ExecuteAfter'  => array(
					'RegisterCompany'
			),
			'RequiredInput' => array(
					'Company' => array(
//							'clientType' 		=> 'DealerClientType',
//							'dealerType'    	=> 'DealerType',
//							'name'          	=> 'String100',
//							'businessName'  	=> 'String100',
							'region'        	=> 'Id',
							'city'          	=> 'Id',
							'postalCode'    	=> 'String10',
							'street'        	=> 'String75',
//
//							'billingCity'       => 'Id',
//							'billingPostalCode' => 'String10',
//							'billingStreet'     => 'String75'
					),
					'Profile' => array(
							'firstName'           => 'String100',
							'familyName'          => 'String100',
							'mobile'              => 'Mobile',
							'email'               => 'Email',
							'password'            => 'String40',
//							'idNumber'            => 'IdNumber',
//							'dateOfBirth'         => 'Date',
//							'permissions'         => 'Id'
					),
					'Contact' => array(
//							'firstName'  => 'String50',
//							'familyName' => 'String50',
//							'mobile'     => 'Mobile',
//							'office'     => 'String12',
//							'email'      => 'Email'
					),
					'BillingContact' => array(
//							'firstName'  => 'String50',
//							'familyName' => 'String50',
//							'mobile'     => 'Mobile',
//							'office'     => 'String12',
//							'email'      => 'Email'
					)
			),
			'OptionalInput' => array(
					'Company' => array(
//							'group'         			=> 'Id',
//							'groupDivision'             => 'Id',
//							'companyRegistrationNumber' => 'String100',
//							'vatNumber'                 => 'String20',
//							'turmiNumber'               => 'String50',
//							'dealerStockNumber'         => 'String50',
//							'companyType'               => 'CompanyType',
//							'turnover'                  => 'String25',
//							'foundMethod'               => 'Id',
//							'foundMethodDetail'         => 'Id',
//							'auctionCity'               => 'Id',
//							'auctionPostalCode'         => 'String10',
//							'auctionStreet'             => 'String75',
//							'owners'                    => 'Array',
//							'docStockCertificate'    	=> 'Id',
//							'docAddressProof'        	=> 'Id',
//							'docCopyOfId'            	=> 'Id',
//							'docCopyOfDirectorId'    	=> 'Id',
//							'docCompanyRegistration' 	=> 'Id'
					),
					'Profile' => array(
							'subscribeNewsletter' => 'Boolean',
					)
			)
	);

}